/******************************************************************************/
/*
                                  authvms.h
*/
/******************************************************************************/

#ifndef INCLUDE_AUTHVMS_H
#define INCLUDE_AUTHVMS_H

#define VMSok(x) ((x) & STS$M_SUCCESS)
#define VMSnok(x) !(((x) & STS$M_SUCCESS))

/*******************/
/* data structures */
/*******************/

typedef struct _ile3 {
   unsigned short int ile3$w_length;
   unsigned short int ile3$w_code;
   void *ile3$ps_bufaddr;
   unsigned short int *ile3$ps_retlen_addr;
} ILE3;

/**************/
/* prototypes */
/**************/

int AuthVmsVerifyUser (char*, char*, char*);
int AuthVmsGetUaiUser (char*, char*);
int AuthVmsCheckIdent (char*, char*);

#endif /* INCLUDE_AUTHVMS_H */

/******************************************************************************/

